Export to PDF - Legend
Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22747

Description

Hi,

my System: Ubuntu 14.04, qgis-server 2.14.1 / 2.14.2

My QGIS project contains a wms layer from UMN mapserver and different shapefiles (Polygon, Line, Point). My print template contains

the map and a legend for the shapefiles. If I turn on the wms layer, the export to PDF (QGIS server) does not work. I get an Apache

500-error. If I turn off the wms layer, the export to PDF works fine.

Well, if I now turn on the wms layer and remove the legend only for the shapefiles with line- and point-geometry from the print template, the

export to PDF works fine also. The legend of a shapefile with polygons is always exported to PDF. 

I tried different wms layer and had always the same problem with export to PDF in QGIS server.

My print template contains no legend of the WMS, so no merge of different legends between WMS and other layer takes place.

Best regards

Burghardt

History

#1 - 2016-05-22 01:32 PM - Jürgen Fischer

- Category set to QGIS Server

#2 - 2016-05-22 01:32 PM - Jürgen Fischer

- Subject changed from QGIS Server - Export to PDF - Legend to Export to PDF - Legend

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
